com.sun.jna.platform.win32

## Class DdemlUtil.DdemlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.DdemlUtil.DdemlException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    DdemlUtil

      public static class DdemlUtil.DdemlException
      extends java.lang.RuntimeException

  DdemlException wraps error codes reported by the DDEML functions as an exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DdemlException(int errorCode, java.lang.String message)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DdemlUtil.DdemlException` | `create(int errorCode)`
    `int` | `getErrorCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DdemlException

          public DdemlException(int errorCode,
                                java.lang.String message)

  - ### Method Detail

    - #### create

          public static DdemlUtil.DdemlException create(int errorCode)

    - #### getErrorCode

          public int getErrorCode()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.